Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
x509_obj.cpp File Reference
`#include <botan/x509_obj.h>`
`#include <botan/pubkey.h>`
`#include <botan/der_enc.h>`
`#include <botan/ber_dec.h>`
`#include <botan/parsing.h>`
`#include <botan/pem.h>`
`#include <botan/emsa.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
| Botan

## Variable Documentation

AlgorithmIdentifier hash_algo

Definition at line 22 of file x509_obj.cpp.

Referenced by Botan::TLS::Handshake_Hash::final(), Botan::OCSP::CertID::is_id_for(), Botan::TLS::Handshake_State::parse_sig_format(), and Botan::X509_Object::verify_signature().

AlgorithmIdentifier mask_gen_algo

Definition at line 23 of file x509_obj.cpp.

AlgorithmIdentifier mask_gen_hash

Definition at line 24 of file x509_obj.cpp.

size_t salt_len

Definition at line 25 of file x509_obj.cpp.

Referenced by Botan::KDF::derive_key(), Botan::HKDF::kdf(), Botan::PK_Ops::KEM_Decryption_with_KDF::kem_decrypt(), Botan::PK_Ops::KEM_Encryption_with_KDF::kem_encrypt(), Botan::OpenPGP_S2K::pbkdf(), Botan::PKCS5_PBKDF2::pbkdf(), Botan::pbkdf2(), Botan::PBKDF::pbkdf_iterations(), Botan::PBKDF::pbkdf_timed(), Botan::scrypt(), and Botan::PKCS11::MechanismWrapper::set_ecdh_salt().

size_t trailer_field

Definition at line 26 of file x509_obj.cpp.